Main Page Modules Data Structures File List Data Fields Globals Related Pages

# beecrypt/rsa.h File Reference

RSA Encryption & signature scheme, header. More...

`#include "rsakp.h"`

Go to the source code of this file.

## Functions
int | rsapri (const rsakp *kp, const mp32number *m, mp32number *c)
int | rsapricrt (const rsakp *kp, const mp32number *m, mp32number *c)
int | rsavrfy (const rsapk *pk, const mp32number *m, const mp32number *c)

## Detailed Description

RSA Encryption & signature scheme, header.

Definition in file rsa.h.

## Function Documentation

int rsapri | ( | const rsakp * | kp,
|  | const mp32number * | m,
|  | mp32number * | c
| ) |

| Definition at line 33 of file rsa.c. References BEECRYPTAPI, and rsapricrt.

int rsapricrt | ( | const rsakp * | kp,
|  | const mp32number * | m,
|  | mp32number * | c
| ) |

| Definition at line 51 of file rsa.c. References BEECRYPTAPI. Referenced by rsapri.

int rsavrfy | ( | const rsapk * | pk,
|  | const mp32number * | m,
|  | const mp32number * | c
| ) |

| Returns: 1 if signature verifies, 0 otherwise (can also indicate errors) Definition at line 111 of file rsa.c. Referenced by verifyPGPSignature.